#include <SFML/Graphics.hpp>

#include "Core.hpp"
#include "Echo.hpp"

using namespace sf;

int main()
{
	srand(time(nullptr));
	Global g;
	g.music.openFromFile("data/music.ogg");
	g.music.setLoop(true);
	g.music.play();
	g.window.create(VideoMode(256, 224),
	"Zombies 'n Kebabs", Style::Default,
	ContextSettings(0, 0, 0, 2, 0));
	g.window.setFramerateLimit(240);
	g.window.setSize({1024, 896});
	g.window.setKeyRepeatEnabled(false);
	g.restart = true;
	g.lives = 2;
	g.score = 0;
	g.high = 0;
	g.reachedEast = false;
	while(g.restart) {
		g.restart = true;
		Core core(&g);
		core.run();
		if(g.lives < 0) {
			if(g.score > g.high)
				g.high = g.score;
			g.score = 0;
			g.lives = 2;
			g.reachedEast = false;
		}
	}
    return 0;
}
